QGIS Application - Bug report #13744
paste problems
2015-11-02 06:49 PM - John Floyd -

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.12.0 Regression?: No

Operating System: fedora Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 21771
Description

Paste into memory vector layer creates the new layer but with no data in it. If | then activate edit and manually paste into that layer, the
geometries are copied but attributes are NULL.

Likewise, selecting items, and save as with use selected items, creates the new layer correctly (to a shape file), but selecting and copying
those same objects from this new layer and pasting into the original layer results in NULL attributes.  Copying from and directly pasting
into the same layer also results in geometry copies but attributes set to NULL. (this later operation results in multiple objects with the
same geometries, but the pasted objects have NULL attributes)

In both these cases the attribute names and types will be the same, so that reason disappear for none copy.

This problem has existed since at least 2.8, 2.10 and 2.12. | am sure that | have used this method previous to these version but not sure
which.

As this occurs accross a number of various sources and sinks there appears to be a problem in the copy paste functionality.

The original layer was a shapefile.

Why am | doing this - | want to copy a number of objects from the layer but shift it in space and place it back in the original layer. Hence
use another layer.

Work around - create a separate layer with the selected objects, edit them as required and save to CSV. Save original layer to CSV.
Manually merge the 2 CSVs in an editor. Import the new combined CSV and then save as the original in this case shapefile. Lots of
work.

History

#1 - 2016-05-24 10:33 PM - Saber Razmjooei
- Category set to Digitising

#2 - 2016-06-30 09:19 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Can you produce one reproducable example? Selecting from the railroads shape of the qgis demo data and pasting as temporary layer works fine for me.

#3 - 2017-01-02 06:38 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed
Closing for lack of feedback, please reopen if necessary.
